Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.utility.perl
Class PerlUtilityCmdsUtility

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.utility.Utility
              com.endeca.soleng.eac.toolkit.utility.ShellUtility
                  com.endeca.soleng.eac.toolkit.utility.perl.PerlUtility
                      com.endeca.soleng.eac.toolkit.utility.perl.PerlUtilityCmdsUtility

    public class PerlUtilityCmdsUtility

extends PerlUtility

Utility used to invole utility_cmds.pl in the Oracle Endeca Guided Search installation.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`EAC_MAX_TOKEN_LENGTH, ENDECA_CONF, IS_WINDOWS, WINDOWS_MAX_PATH_LENGTH`

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`PerlUtilityCmdsUtility(java.lang.String appName, java.lang.String eacHost, int eacPort, boolean sslEnabled)` Default (inherited) constructor.

Method Summary
`protected java.lang.String` | `getPerlUtilityCmdsScript()`
`void` | `init(java.lang.String token, java.lang.String host, java.lang.String command, java.lang.String workingDir)` Perl Utility Command initializer.

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.perl.PerlUtility
`getPerlBinary`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.ShellUtility
`buildEacStub, conditionalRun, getCommand, getHostId, initializeEacStub, maximumAllowedTokenLength, setCommand, setHostId`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`getDirContents, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNonNullPositiveLongValueOrDefault, getNumMissedStatusChecks, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isFailed, run, runInParallel, setElementId, setMaxMissedStatusQueriesAllowed, setMaxWaitSeconds, setMinWaitSeconds, setNumMissedStatusChecks, setPollingIntervalMs, setSlowPollingIntervalMs, start, stop, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerlUtilityCmdsUtility

    public PerlUtilityCmdsUtility(java.lang.String appName,
                                  java.lang.String eacHost,
                                  int eacPort,
                                  boolean sslEnabled)
                           throws AppConfigurationException

  Default (inherited) constructor.

  Throws:
    `AppConfigurationException` - If the application name or EAC host is null.

Method Detail

### init

    public void init(java.lang.String token,
                     java.lang.String host,
                     java.lang.String command,
                     java.lang.String workingDir)

  Perl Utility Command initializer.

  Overrides:
    `init` in class `ShellUtility`
  Parameters:
    `token` - ID of the shell utility.
    `host` - ID of the host on which to execute the command.
    `command` - Perl utility_cmds.pl command string to execute.
    `workingDir` - Working directory from which to execute the command.

### getPerlUtilityCmdsScript

    protected java.lang.String getPerlUtilityCmdsScript()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500